# Filename: gui_staticline.py
# Purpose:  Create a panel showing a fileselector and static text with static line in between.
# Results:  Message box showing selection.

from maptek import vulcan_gui

pan = vulcan_gui.panel('Basic Panel')
pan.fileselector(tag='fileselector_input', prompt='Fileselector', filter='*.00t', width=20)
pan.staticline()
pan.statictext('Static text below line.')
pan.display()

selection = pan['fileselector_input']
message = 'You selected ' + selection
vulcan_gui.message(message)
